FROM node:23 AS build
ENV FORCE_COLOR=0
RUN corepack enable
WORKDIR /opt/docusaurus

WORKDIR /opt/docusaurus
COPY . /opt/docusaurus/
RUN npm ci
RUN npm run build

FROM nginx:alpine
COPY --from=build /opt/docusaurus/build /usr/share/nginx/html
EXPOSE 80